"use strict";
var __spreadArrays =
    (this && this.__spreadArrays) ||
    function() {
        for (var s = 0, i = 0, il = arguments.length; i < il; i++) s += arguments[i].length;
        for (var r = Array(s), k = 0, i = 0; i < il; i++) for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++) r[k] = a[j];
        return r;
    };
Object.defineProperty(exports, "__esModule", { value: true });
var tripetto_1 = require("tripetto");
var bootstrap_1 = require("./bootstrap");
exports.CONTRACT = function() {
    return [
        {
            title: tripetto_1.pgettext("tripetto-collector-standard-bootstrap", "Basic styles"),
            description: tripetto_1.pgettext("tripetto-collector-standard-bootstrap", "Specifies the basic appearance."),
            elements: [
                {
                    type: "color",
                    name: "backgroundColor",
                    label: tripetto_1.pgettext("tripetto-collector-standard-bootstrap", "Background color"),
                    description: tripetto_1.pgettext(
                        "tripetto-collector-standard-bootstrap",
                        "Specifies the background (transparent, or a color)."
                    )
                },
                {
                    type: "dropdown",
                    name: "textFont",
                    label: tripetto_1.pgettext("tripetto-collector-standard-bootstrap", "Text font"),
                    description: tripetto_1.pgettext("tripetto-collector-standard-bootstrap", "Specifies the font family."),
                    options: [
                        {
                            optGroup: tripetto_1.pgettext("tripetto-collector-standard-bootstrap", "Standard fonts")
                        },
                        {
                            label: tripetto_1.pgettext("tripetto-collector-standard-bootstrap", "Default"),
                            value: ""
                        },
                        {
                            label: "Arial",
                            value: "Arial, Helvetica, Sans-Serif"
                        },
                        {
                            label: "Arial Black",
                            value: "Arial Black, Gadget, Sans-Serif"
                        },
                        {
                            label: "Comic Sans MS",
                            value: "Comic Sans MS, Textile, Cursive, Sans-Serif"
                        },
                        {
                            label: "Courier New",
                            value: "Courier New, Courier, Monospace"
                        },
                        {
                            label: "Georgia",
                            value: "Georgia, Times New Roman, Times, Serif"
                        },
                        {
                            label: "Impact",
                            value: "Impact, Charcoal, Sans-Serif"
                        },
                        {
                            label: "Lucida Console",
                            value: "Lucida Console, Monaco, Monospace"
                        },
                        {
                            label: "Lucida Sans Unicode",
                            value: "Lucida Sans Unicode, Lucida Grande, Sans-Serif"
                        },
                        {
                            label: "Palatino Linotype",
                            value: "Palatino Linotype, Book Antiqua, Palatino, Serif"
                        },
                        {
                            label: "Tahoma",
                            value: "Tahoma, Geneva, Sans-Serif"
                        },
                        {
                            label: "Times New Roman",
                            value: "Times New Roman, Times, Serif"
                        },
                        {
                            label: "Trebuchet MS",
                            value: "Trebuchet MS, Helvetica, Sans-Serif"
                        },
                        {
                            label: "Verdana",
                            value: "Verdana, Geneva, Sans-Serif"
                        },
                        {
                            optGroup: tripetto_1.pgettext("tripetto-collector-standard-bootstrap", "Custom fonts")
                        },
                        {
                            custom: tripetto_1.pgettext("tripetto-collector-standard-bootstrap", "Use a custom font")
                        }
                    ]
                },
                {
                    type: "color",
                    name: "textColor",
                    label: tripetto_1.pgettext("tripetto-collector-standard-bootstrap", "Text color"),
                    description: tripetto_1.pgettext("tripetto-collector-standard-bootstrap", "Specifies the text color.")
                },
                {
                    type: "radiobuttons",
                    name: "mode",
                    label: tripetto_1.pgettext("tripetto-collector-standard-bootstrap", "Mode"),
                    buttons: [
                        {
                            label: tripetto_1.pgettext("tripetto-collector-standard-bootstrap", "Paginated"),
                            value: "paginated",
                            description: tripetto_1.pgettext(
                                "tripetto-collector-standard-bootstrap",
                                "Blocks are presented page for page and the user navigates through the pages using the next and back buttons."
                            )
                        },
                        {
                            label: tripetto_1.pgettext("tripetto-collector-standard-bootstrap", "Continuous"),
                            value: "continuous",
                            description: tripetto_1.pgettext(
                                "tripetto-collector-standard-bootstrap",
                                "This will keep all past blocks in view as the user navigates using the next and back buttons."
                            )
                        },
                        {
                            label: tripetto_1.pgettext("tripetto-collector-standard-bootstrap", "Progressive"),
                            value: "progressive",
                            description: tripetto_1.pgettext(
                                "tripetto-collector-standard-bootstrap",
                                "In this mode all possible blocks are presented to the user. The user does not need to navigate using the next and back buttons (so we can hide those buttons)."
                            )
                        }
                    ],
                    default: "paginated"
                },
                {
                    type: "static",
                    label: tripetto_1.pgettext("tripetto-collector-standard-bootstrap", "Options")
                },
                {
                    type: "checkbox",
                    name: "showEnumerators",
                    label: tripetto_1.pgettext("tripetto-collector-standard-bootstrap", "Display enumerators"),
                    description: tripetto_1.pgettext(
                        "tripetto-collector-standard-bootstrap",
                        "Specifies if block enumerators (question numbers) should be displayed."
                    )
                },
                {
                    type: "checkbox",
                    name: "showPageIndicators",
                    label: tripetto_1.pgettext("tripetto-collector-standard-bootstrap", "Dispay page indicators"),
                    description: tripetto_1.pgettext(
                        "tripetto-collector-standard-bootstrap",
                        "Shows an index with pages (only works in paginated mode when there is more than 1 page)."
                    )
                },
                {
                    name: "showProgressbar",
                    type: "checkbox",
                    label: tripetto_1.pgettext("tripetto-collector-standard-bootstrap", "Display progressbar"),
                    description: tripetto_1.pgettext(
                        "tripetto-collector-standard-bootstrap",
                        "Specifies if the progressbar should be displayed."
                    )
                }
            ]
        },
        {
            name: "backgroundImage",
            optional: true,
            title: tripetto_1.pgettext("tripetto-collector-standard-bootstrap", "Background image"),
            description: tripetto_1.pgettext("tripetto-collector-standard-bootstrap", "Specifies an optional background image."),
            elements: [
                {
                    type: "image",
                    name: "url",
                    label: tripetto_1.pgettext("tripetto-collector-standard-bootstrap", "URL"),
                    description: tripetto_1.pgettext("tripetto-collector-standard-bootstrap", "Specifies the URL of the background image.")
                },
                {
                    type: "dropdown",
                    name: "size",
                    label: tripetto_1.pgettext("tripetto-collector-standard-bootstrap", "Size"),
                    description: tripetto_1.pgettext(
                        "tripetto-collector-standard-bootstrap",
                        "Specifies the sizing of the background image."
                    ),
                    options: [
                        {
                            label: tripetto_1.pgettext("tripetto-collector-standard-bootstrap", "Auto (image centered)"),
                            value: "auto"
                        },
                        {
                            label: tripetto_1.pgettext("tripetto-collector-standard-bootstrap", "Width (100% width, height centered)"),
                            value: "100% auto"
                        },
                        {
                            label: tripetto_1.pgettext("tripetto-collector-standard-bootstrap", "Height (width centered, 100% height)"),
                            value: "auto 100%"
                        },
                        {
                            label: tripetto_1.pgettext("tripetto-collector-standard-bootstrap", "Cover (full screen)"),
                            value: "cover"
                        },
                        {
                            label: tripetto_1.pgettext(
                                "tripetto-collector-standard-bootstrap",
                                "Contain (full image stretched over screen)"
                            ),
                            value: "contain"
                        },
                        {
                            label: tripetto_1.pgettext("tripetto-collector-standard-bootstrap", "Repeat (repeat image over screen)"),
                            value: "repeat"
                        }
                    ],
                    default: "auto"
                }
            ]
        },
        {
            name: "form",
            optional: true,
            title: tripetto_1.pgettext("tripetto-collector-standard-bootstrap", "Form"),
            description: tripetto_1.pgettext(
                "tripetto-collector-standard-bootstrap",
                "Specifies the appearance of the elements in the form."
            ),
            elements: [
                {
                    type: "dropdown",
                    name: "inputStyle",
                    label: tripetto_1.pgettext("tripetto-collector-standard-bootstrap", "Common elements"),
                    description: tripetto_1.pgettext(
                        "tripetto-collector-standard-bootstrap",
                        "Specifies the style of common elements (text inputs, dropdowns, etc.)."
                    ),
                    options: __spreadArrays(
                        [
                            {
                                label: tripetto_1.pgettext("tripetto-collector-standard-bootstrap", "Default"),
                                value: ""
                            }
                        ],
                        bootstrap_1.BOOTSTRAP_STYLES_BASIC
                    ),
                    default: ""
                },
                {
                    type: "dropdown",
                    name: "unselectedStyle",
                    label: tripetto_1.pgettext("tripetto-collector-standard-bootstrap", "Unselected form buttons"),
                    description: tripetto_1.pgettext(
                        "tripetto-collector-standard-bootstrap",
                        "Specifies the style of form buttons that are not selected."
                    ),
                    options: bootstrap_1.BOOTSTRAP_STYLES_EXTENDED,
                    default: "light"
                },
                {
                    type: "dropdown",
                    name: "selectedStyle",
                    label: tripetto_1.pgettext("tripetto-collector-standard-bootstrap", "Selected form buttons"),
                    description: tripetto_1.pgettext(
                        "tripetto-collector-standard-bootstrap",
                        "Specifies the style of form buttons that are selected."
                    ),
                    options: bootstrap_1.BOOTSTRAP_STYLES_EXTENDED,
                    default: "success"
                },
                {
                    type: "dropdown",
                    name: "neutralStyle",
                    label: tripetto_1.pgettext("tripetto-collector-standard-bootstrap", "Neutral form buttons"),
                    description: tripetto_1.pgettext(
                        "tripetto-collector-standard-bootstrap",
                        "Specifies the style of form buttons that have a neutral value (e.g. default in Yes/No)."
                    ),
                    options: bootstrap_1.BOOTSTRAP_STYLES_EXTENDED,
                    default: "outline-secondary"
                },
                {
                    type: "dropdown",
                    name: "positiveStyle",
                    label: tripetto_1.pgettext("tripetto-collector-standard-bootstrap", "Positive form buttons"),
                    description: tripetto_1.pgettext(
                        "tripetto-collector-standard-bootstrap",
                        "Specifies the style of form buttons that have a positive value (e.g. Yes in Yes/No)."
                    ),
                    options: bootstrap_1.BOOTSTRAP_STYLES_EXTENDED,
                    default: "success"
                },
                {
                    type: "dropdown",
                    name: "negativeStyle",
                    label: tripetto_1.pgettext("tripetto-collector-standard-bootstrap", "Negative form buttons"),
                    description: tripetto_1.pgettext(
                        "tripetto-collector-standard-bootstrap",
                        "Specifies the style of form buttons that have a negative value (e.g. No in Yes/No)."
                    ),
                    options: bootstrap_1.BOOTSTRAP_STYLES_EXTENDED,
                    default: "danger"
                }
            ]
        },
        {
            name: "buttons",
            optional: true,
            title: tripetto_1.pgettext("tripetto-collector-standard-bootstrap", "Buttons"),
            description: tripetto_1.pgettext(
                "tripetto-collector-standard-bootstrap",
                "Specifies the appearance of the buttons in the form."
            ),
            elements: [
                {
                    type: "dropdown",
                    name: "nextStyle",
                    label: tripetto_1.pgettext("tripetto-collector-standard-bootstrap", "Next button color"),
                    description: tripetto_1.pgettext(
                        "tripetto-collector-standard-bootstrap",
                        "Specifies the style of the next button in the form."
                    ),
                    options: bootstrap_1.BOOTSTRAP_STYLES_EXTENDED,
                    default: "primary"
                },
                {
                    type: "label",
                    name: "nextLabel",
                    label: tripetto_1.pgettext("tripetto-collector-standard-bootstrap", "Next button label"),
                    description: tripetto_1.pgettext(
                        "tripetto-collector-standard-bootstrap",
                        "Specifies the label of the next button in the form."
                    )
                },
                {
                    type: "dropdown",
                    name: "backStyle",
                    label: tripetto_1.pgettext("tripetto-collector-standard-bootstrap", "Back button color"),
                    description: tripetto_1.pgettext(
                        "tripetto-collector-standard-bootstrap",
                        "Specifies the style of the back button in the form."
                    ),
                    options: bootstrap_1.BOOTSTRAP_STYLES_EXTENDED,
                    default: "primary"
                },
                {
                    type: "label",
                    name: "backLabel",
                    label: tripetto_1.pgettext("tripetto-collector-standard-bootstrap", "Back button label"),
                    description: tripetto_1.pgettext(
                        "tripetto-collector-standard-bootstrap",
                        "Specifies the label of the back button in the form."
                    )
                },
                {
                    type: "dropdown",
                    name: "completeStyle",
                    label: tripetto_1.pgettext("tripetto-collector-standard-bootstrap", "Complete button color"),
                    description: tripetto_1.pgettext(
                        "tripetto-collector-standard-bootstrap",
                        "Specifies the style of the complete button in the form."
                    ),
                    options: bootstrap_1.BOOTSTRAP_STYLES_EXTENDED,
                    default: "success"
                },
                {
                    type: "label",
                    name: "completeLabel",
                    label: tripetto_1.pgettext("tripetto-collector-standard-bootstrap", "Complete button label"),
                    description: tripetto_1.pgettext(
                        "tripetto-collector-standard-bootstrap",
                        "Specifies the label of the complete button in the form."
                    )
                },
                {
                    type: "dropdown",
                    name: "pauseStyle",
                    label: tripetto_1.pgettext("tripetto-collector-standard-bootstrap", "Pause button color"),
                    description: tripetto_1.pgettext(
                        "tripetto-collector-standard-bootstrap",
                        "Specifies the style of the pause button in the form."
                    ),
                    options: bootstrap_1.BOOTSTRAP_STYLES_EXTENDED,
                    default: "success"
                }
            ]
        },
        {
            name: "navigation",
            optional: true,
            title: tripetto_1.pgettext("tripetto-collector-standard-bootstrap", "Navigation bar"),
            description: tripetto_1.pgettext("tripetto-collector-standard-bootstrap", "Specifies the appearance of the navigation bar."),
            elements: [
                {
                    type: "dropdown",
                    name: "paginationStyle",
                    dependency: {
                        action: "enable",
                        property: "showPageIndicators",
                        value: true
                    },
                    label: tripetto_1.pgettext("tripetto-collector-standard-bootstrap", "Pagination buttons"),
                    description: tripetto_1.pgettext(
                        "tripetto-collector-standard-bootstrap",
                        "Specifies the style of the buttons in the pagination bar."
                    ),
                    options: bootstrap_1.BOOTSTRAP_STYLES_EXTENDED,
                    default: "light"
                },
                {
                    type: "dropdown",
                    name: "progressbarStyle",
                    dependency: {
                        action: "enable",
                        property: "showPageIndicators",
                        value: true
                    },
                    label: tripetto_1.pgettext("tripetto-collector-standard-bootstrap", "Progress bar color"),
                    description: tripetto_1.pgettext(
                        "tripetto-collector-standard-bootstrap",
                        "Specifies the style of the progress in the progress bar."
                    ),
                    options: bootstrap_1.BOOTSTRAP_STYLES_BASIC,
                    default: "primary"
                }
            ]
        }
    ];
};
